/*

Konami HyperShot:
	Hyper Olympic, Hyper Olympic (Genteiban!), Hyper Sports

2 identical controllers marked I and II, 1 plug (can be turned around to reverse button order)
	JUMP	RUN

*/


static struct {
	int strobe;
	int btn;
	int btn_upd;
	
} _cont_hypershot;

#define cont_hypershot _cont_hypershot


_CONTREAD(hypershot)
{
	if (address) return cont_hypershot.btn;
	
	else return 0;
}

_CONTWRITE(hypershot)
{
	if (~data&cont_hypershot.strobe) { /* 1 -> 0 */
		input_need_update();
		cont_hypershot.btn=cont_hypershot.btn_upd;
	}
	
	cont_hypershot.strobe=data&1;
}

_CONTUPDATE(hypershot)
{
	/* bit 1=I run, 2=I jump, 3=II run, 4=II jump */
	cont_hypershot.btn_upd=(input_trigger_held(CONT_T_HS_IRUN)<<1)|(input_trigger_held(CONT_T_HS_IJUMP)<<2)|(input_trigger_held(CONT_T_HS_IIRUN)<<3)|(input_trigger_held(CONT_T_HS_IIJUMP)<<4);
}

_CONTINIT(hypershot)
{
	SET_CONTREAD(hypershot);
	SET_CONTWRITE(hypershot);
	SET_CONTUPDATE(hypershot);
}
