#ifndef NES_H
#define NES_H

enum {
	NES_PRIORITY_NORMAL=0,
	NES_PRIORITY_ABOVENORMAL,
	NES_PRIORITY_HIGHEST,
	
	NES_PRIORITY_AUTO,
	
	NES_PRIORITY_MAX
};

void nes_videoformat(void);
void nes_reset(int);
void nes_set_soft_reset(void);
void nes_wait(void);
void nes_wait_done(void);
void __fastcall nes_set_main_interrupt(void);
void nes_init(void);
void nes_clean(void);
int nes_start(void);
void nes_stop(int);
int __fastcall nes_is_running(void);
void __fastcall nes_set_priority(int);
int nes_get_priority(void);
int nes_get_priority_auto(void);
const char* nes_get_priority_name(u32);
void nes_open(void);
void nes_reload(void);
void nes_drop(WPARAM);
void __fastcall nes_set_action(int,int);
int nes_get_filterindex(void);
void __fastcall nes_set_paused(int);
int __fastcall nes_get_paused(void);

#endif /* NES_H */
