#ifndef RESOURCE_H
#define RESOURCE_H


#define ID_MENU							101
#define ID_ICON							102
#define ID_ICONDOC						103

#define ID_SPLASH_SL					111
#define ID_SPLASH_SMITH					112
#define ID_SPLASH_REDX					113

#define ID_PAL_BMFFINR3					121
#define ID_PAL_CCOVELL					122
#define ID_PAL_LOOPY					123
#define ID_PAL_MCONTE					124
#define ID_PAL_NESTICLE					125
#define ID_PAL_REALITY					126
#define ID_PAL_ROCKNES					127

#define ID_SAMPLE_PAUSE					140

/* dialogs */
#define IDC_STATIC						981

/* opengame template */
#define IDD_OPENGAME_TEMPLATE			1001
#define IDC_OPENGAME_PROPT				1002
#define IDC_OPENGAME_MAPTYPE			1003
#define IDC_OPENGAME_HMIR				1004
#define IDC_OPENGAME_VMIR				1005
#define IDC_OPENGAME_BATTERY			1006
#define IDC_OPENGAME_EDIT				1007
#define IDC_OPENGAME_MAPTYPETEXT		1008

/* edit ines header */
#define IDD_INESEDIT					1101
#define IDC_INESEDIT_OK					1102
#define IDC_INESEDIT_CANCEL				1103
#define IDC_INESEDIT_REMOVEGARBAGE		1104
#define IDC_INESEDIT_MAPNUM				1105
#define IDC_INESEDIT_BATTERY			1106
#define IDC_INESEDIT_PRG				1107
#define IDC_INESEDIT_CHR				1108
#define IDC_INESEDIT_4SCREEN			1109
#define IDC_INESEDIT_TRAINER			1110
#define IDC_INESEDIT_HMIR				1111
#define IDC_INESEDIT_VMIR				1112
#define IDC_INESEDIT_VIDEOFORMAT		1113
#define IDC_INESEDIT_APPLY				1114
#define IDC_INESEDIT_RAM				1115
#define IDC_INESEDIT_VS					1116
#define IDC_INESEDIT_MAPNUMEXPL			1117
#define IDC_INESEDIT_PRGEXPL			1118
#define IDC_INESEDIT_CHREXPL			1119
#define IDC_INESEDIT_RAMEXPL			1120

/* custom vidsignal */
#define IDD_VIDEOSIGNAL					1150
#define IDC_VIDSIGNAL_SHARPNESS_SLIDER	1151
#define IDC_VIDSIGNAL_SHARPNESS_EDIT	1152
#define IDC_VIDSIGNAL_RESOLUTION_SLIDER	1153
#define IDC_VIDSIGNAL_RESOLUTION_EDIT	1154
#define IDC_VIDSIGNAL_FRINGING_SLIDER	1155
#define IDC_VIDSIGNAL_FRINGING_EDIT		1156
#define IDC_VIDSIGNAL_ARTIFACTS_SLIDER	1157
#define IDC_VIDSIGNAL_ARTIFACTS_EDIT	1158
#define IDC_VIDSIGNAL_BLEED_SLIDER		1159
#define IDC_VIDSIGNAL_BLEED_EDIT		1160

/* help */
#define IDD_HELP						1201
#define IDC_HELPTEXT					1202

/* about */
#define IDD_ABOUT						1211
#define IDC_ABOUT_URL					1212
#define IDC_ABOUT_ICON					1213
#define IDC_ABOUT_TEXT					1214
#define IDC_ABOUT_EMAIL					1215

/* directories */
#define IDD_DIRECTORIES					1251
#define IDC_DIR_PATCHESEDIT				1252
#define IDC_DIR_PATCHESBROWSE			1253
#define IDC_DIR_PATCHESDEFAULT			1254
#define IDC_DIR_SAMPLESEDIT				1255
#define IDC_DIR_SAMPLESBROWSE			1256
#define IDC_DIR_SAMPLESDEFAULT			1257
#define IDC_DIR_SRAMEDIT				1258
#define IDC_DIR_SRAMBROWSE				1259
#define IDC_DIR_SRAMDEFAULT				1260
#define IDC_DIR_STATESEDIT				1261
#define IDC_DIR_STATESBROWSE			1262
#define IDC_DIR_STATESDEFAULT			1263


/* menu */
#define IDM_OPENGAME					4001
#define IDM_CLOSEGAME					4002
#define IDM_RELOADGAME					4003
#define IDM_EXITEMU						4004
#define IDM_RESETNES					4005
#define IDM_PAUSEEMU					4006
#define IDM_BFILTER						4007
#define IDM_CORRECTASPECT				4008
#define IDM_STRETCHFIT					4009
#define IDM_ZOOM1						4010
#define IDM_ZOOM2						4011
#define IDM_ZOOM3						4012
#define IDM_ZOOM4						4013
#define IDM_FULLSCREEN					4014
#define IDM_RENDERD3D					4015
#define IDM_RENDERDD					4016
#define IDM_SOFTRENDER					4017
#define IDM_VSYNC						4018
#define IDM_VSMONOCHROME				4019
#define IDM_VSCOMPOSITE					4020
#define IDM_VSSVIDEO					4021
#define IDM_VSRGB						4022
#define IDM_VSCUSTOM					4023
#define IDM_ABOUT						4024
#define IDM_VIDEOFORMAT					4025
#define IDM_SOUND						4026
#define IDM_HELP						4027
#define IDM_FLIP_X						4028
#define IDM_DIRECTORIES					4029
#define IDM_SHELLMSG					4030

#define IDM_CPUSPEEDMIN					4401
#define IDM_CPUSPEEDPLUS				4402
#define IDM_CPUSPEEDNORMAL				4403
#define IDM_CARTSWITCHUP				4404
#define IDM_CARTSWITCHDOWN				4405

#endif /* RESOURCE_H */
